From e9127f866ea4589d8dd4d257f467ecfcaac5936f Mon Sep 17 00:00:00 2001
From: Jakub Wartak <jakub.wartak@enterprisedb.com>
Date: Mon, 3 Mar 2025 08:32:28 +0100
Subject: [PATCH v2] doc: Mention clock synchronization recommendation for
 hot_standby_feedback

hot_standby_feedback mechanics assume that clocks are synchronized, but it was not clear from documentation.

Discussion: https://postgr.es/m/CAKZiRmwBcALLrDgCyEhHP1enUxtPMjyNM_d1A2Lng3_6Rf4Qfw%40mail.gmail.com
---
 doc/src/sgml/config.sgml | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 007746a4429..5ebfcdbffc0 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -4969,6 +4969,13 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         until it eventually reaches the primary.  Standbys make no other use
         of feedback they receive other than to pass upstream.
        </para>
+       <para>
+        Note that if the clock on standby is moved ahead or backward, the
+        feedback message may not be sent at the required interval. In extreme
+        cases this can lead to prolonged risk of not removing dead rows on
+        primary for extended periods as the feedback mechanism is based on
+        timestamp.
+       </para>
       </listitem>
      </varlistentry>
 
-- 
2.39.5

